<?xml version="1.0" encoding="UTF-8"?><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xi="http://www.w3.org/2001/XInclude" xmlns:u="utils" schemaVersion="iso" queryBinding="xslt2">

	<title>Rules for EHF Supplier List Light 1.0</title>

	<ns prefix="es" uri="urn:fdc:anskaffelser.no:2019:ehf:schema:ParticipantList-1"/>
	<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
	<ns prefix="u" uri="utils"/>

    
    <function xmlns="http://www.w3.org/1999/XSL/Transform" name="u:mod11" as="xs:boolean">
  <param name="val"/>
  <variable name="length" select="string-length($val) - 1"/>
  <variable name="digits" select="reverse(for $i in string-to-codepoints(substring($val, 0, $length + 1)) return $i - 48)"/>
  <variable name="weightedSum" select="sum(for $i in (0 to $length - 1) return $digits[$i + 1] * (($i mod 6) + 2))"/>
  <value-of select="number($val) &gt; 0 and (11 - ($weightedSum mod 11)) mod 11 = number(substring($val, $length + 1, 1))"/>
</function>

    
    <pattern xmlns:ns2="http://www.schematron-quickfix.com/validator/process"><let name="clreference" value="tokenize('TED DOFFIN', '\s')"/><let name="clEAS" value="tokenize('0002 0007 0009 0037 0060 0088 0096 0097 0106 0130 0135 0142 0151 0183 0184 0190 0191 0192 0193 0195 0196 0198 0199 0200 0201 0202 0204 0208 9901 9906 9907 9910 9913 9914 9915 9918 9919 9920 9922 9923 9924 9925 9926 9927 9928 9929 9930 9931 9932 9933 9934 9935 9936 9937 9938 9939 9940 9941 9942 9943 9944 9945 9946 9947 9948 9949 9950 9951 9952 9953 9955 9956 9957 9958', '\s')"/><rule context="/es:ParticipantList"><assert test="es:CustomizationID" flag="fatal" id="EHF-T14L-B00101">Element 'es:CustomizationID' MUST be provided.</assert><assert test="es:ProfileID" flag="fatal" id="EHF-T14L-B00102">Element 'es:ProfileID' MUST be provided.</assert><assert test="es:ID" flag="fatal" id="EHF-T14L-B00103">Element 'es:ID' MUST be provided.</assert><assert test="es:IssueDate" flag="fatal" id="EHF-T14L-B00104">Element 'es:IssueDate' MUST be provided.</assert><assert test="es:IssueTime" flag="fatal" id="EHF-T14L-B00105">Element 'es:IssueTime' MUST be provided.</assert><assert test="es:FolderReference" flag="fatal" id="EHF-T14L-B00106">Element 'es:FolderReference' MUST be provided.</assert><assert test="not(@*:schemaLocation)" flag="fatal" id="EHF-T14L-B00107">Document MUST not contain schema location.</assert></rule><rule context="/es:ParticipantList/es:CustomizationID"><assert test="normalize-space(text()) = 'urn:fdc:anskaffelser.no:2020:ehf:preaward:g2:supplier-list:1.0'" flag="fatal" id="EHF-T14L-B00201">Element 'es:CustomizationID' MUST contain value 'urn:fdc:anskaffelser.no:2020:ehf:preaward:g2:supplier-list:1.0'.</assert></rule><rule context="/es:ParticipantList/es:CustomizationID/*"><assert test="false()" flag="fatal" id="EHF-T14L-B00202">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ProfileID"><assert test="normalize-space(text()) = 'urn:fdc:anskaffelser.no:2020:ehf:preaward:g2:process:light:1.0'" flag="fatal" id="EHF-T14L-B00301">Element 'es:ProfileID' MUST contain value 'urn:fdc:anskaffelser.no:2020:ehf:preaward:g2:process:light:1.0'.</assert></rule><rule context="/es:ParticipantList/es:ProfileID/*"><assert test="false()" flag="fatal" id="EHF-T14L-B00302">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ID"/><rule context="/es:ParticipantList/es:ID/*"><assert test="false()" flag="fatal" id="EHF-T14L-B00401">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:UUID"/><rule context="/es:ParticipantList/es:UUID/*"><assert test="false()" flag="fatal" id="EHF-T14L-B00501">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:IssueDate"/><rule context="/es:ParticipantList/es:IssueDate/*"><assert test="false()" flag="fatal" id="EHF-T14L-B00601">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:IssueTime"/><rule context="/es:ParticipantList/es:IssueTime/*"><assert test="false()" flag="fatal" id="EHF-T14L-B00701">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:FolderReference"><assert test="es:ID" flag="fatal" id="EHF-T14L-B00801">Element 'es:ID' MUST be provided.</assert></rule><rule context="/es:ParticipantList/es:FolderReference/es:ID"><assert test="@scheme" flag="fatal" id="EHF-T14L-B00901">Attribute 'scheme' MUST be present.</assert><assert test="not(@scheme) or (some $code in $clreference satisfies $code = @scheme)" flag="fatal" id="EHF-T14L-B00902">Value MUST be part of code list 'Reference Type'.</assert></rule><rule context="/es:ParticipantList/es:FolderReference/es:ID/*"><assert test="false()" flag="fatal" id="EHF-T14L-B00903">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:FolderReference/*"><assert test="false()" flag="fatal" id="EHF-T14L-B00802">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty"><assert test="es:Party" flag="fatal" id="EHF-T14L-B01101">Element 'es:Party' MUST be provided.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party"><assert test="es:CompanyID" flag="fatal" id="EHF-T14L-B01201">Element 'es:CompanyID' MUST be provided.</assert><assert test="es:Name" flag="fatal" id="EHF-T14L-B01202">Element 'es:Name' MUST be provided.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:CompanyID"><assert test="@scheme" flag="fatal" id="EHF-T14L-B01301">Attribute 'scheme' MUST be present.</assert><assert test="not(@scheme) or (some $code in $clEAS satisfies $code = @scheme)" flag="fatal" id="EHF-T14L-B01302">Value MUST be part of code list 'Electronic Address Scheme (EAS)'.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:CompanyID/*"><assert test="false()" flag="fatal" id="EHF-T14L-B01303">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Name"/><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Name/*"><assert test="false()" flag="fatal" id="EHF-T14L-B01501">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:ElectronicMail"/><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:ElectronicMail/*"><assert test="false()" flag="fatal" id="EHF-T14L-B01601">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Contact"><assert test="es:Name" flag="fatal" id="EHF-T14L-B01701">Element 'es:Name' MUST be provided.</assert><assert test="es:ElectronicMail" flag="fatal" id="EHF-T14L-B01702">Element 'es:ElectronicMail' MUST be provided.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Contact/es:Name"/><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Contact/es:Name/*"><assert test="false()" flag="fatal" id="EHF-T14L-B01801">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Contact/es:Telephone"/><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Contact/es:Telephone/*"><assert test="false()" flag="fatal" id="EHF-T14L-B01901">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Contact/es:ElectronicMail"/><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Contact/es:ElectronicMail/*"><assert test="false()" flag="fatal" id="EHF-T14L-B02001">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/es:Contact/*"><assert test="false()" flag="fatal" id="EHF-T14L-B01703">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:Party/*"><assert test="false()" flag="fatal" id="EHF-T14L-B01203">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:FolderReference"><assert test="es:ID" flag="fatal" id="EHF-T14L-B02101">Element 'es:ID' MUST be provided.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:FolderReference/es:ID"><assert test="not(@scheme) or @scheme = 'LOT'" flag="fatal" id="EHF-T14L-B02201">Attribute 'scheme' MUST contain value 'LOT'</assert><assert test="@scheme" flag="fatal" id="EHF-T14L-B02202">Attribute 'scheme' MUST be present.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:FolderReference/es:ID/*"><assert test="false()" flag="fatal" id="EHF-T14L-B02203">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/es:FolderReference/*"><assert test="false()" flag="fatal" id="EHF-T14L-B02102">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/es:ParticipatingParty/*"><assert test="false()" flag="fatal" id="EHF-T14L-B01102">Document MUST NOT contain elements not part of the data model.</assert></rule><rule context="/es:ParticipantList/*"><assert test="false()" flag="fatal" id="EHF-T14L-B00108">Document MUST NOT contain elements not part of the data model.</assert></rule></pattern>

    <pattern>
        

        <rule context="es:ParticipantList | es:FolderReference | es:ParticipatingParty | es:Party | es:ElectronicMail | es:Telephone">
            
        </rule>

        <rule context="es:Contact">
            <assert id="EHF-T14L-R021" test="count(*) != 0" flag="fatal">Document MUST not contain empty elements.</assert>
        </rule>
        
        <rule context="es:*">
            <assert id="EHF-T14L-R022" test="normalize-space() != ''" flag="fatal">Document MUST not contain empty elements.</assert>
        </rule>

    </pattern>

    <pattern>
        

        <rule context="es:ParticipantList">
            <assert id="EHF-T14L-R001" test="count(es:FolderReference/es:ID[@scheme = 'DOFFIN']) &lt;= 1" flag="fatal">Maximum one Doffin reference may be provided.</assert>
            <assert id="EHF-T14L-R002" test="count(es:FolderReference/es:ID[@scheme = 'TED']) &lt;= 1" flag="fatal">Maximum one TED reference may be provided.</assert>
        </rule>


        

        <rule context="es:CompanyID[@scheme = '0192']">
            <assert id="EHF-T14L-R011" test="matches(normalize-space(), '^[0-9]{9}$') and u:mod11(normalize-space())" flag="fatal">MUST be a valid Norwegian organization number. Only numerical value allowed.</assert>
        </rule>

        <rule context="es:ElectronicMail">
            <assert id="EHF-T14L-R012" test="matches(normalize-space(), '(\w+[._])*\w+@(\w+\.)*\w+')" flag="fatal">Invalid electronic mail address is provided.</assert>
        </rule>

        <rule context="es:Telephone">
            <assert id="EHF-T14L-R013" test="matches(normalize-space(), '\+[0-9]+')" flag="fatal">Telephone number must contain the international dialing prefix.</assert>
        </rule>

    </pattern>

</schema>